#!/bin/bash

PSQL="/opt/passlogic/pgsql/bin/psql -p 5439"
LOCKDIR="/opt/passlogic/pgsql/backuplock"

MASTER_BASEDIR=$1
RECOVERY_HOST=$2
RECOVERY_BASEDIR=$3

PGSQL_LOG="/opt/passlogic/pgsql/data/serverlog"

echo `date +'%Y/%m/%d %H:%M:%S'` "START - recovery_2nd_stage.sh"                >> $PGSQL_LOG
echo `date +'%Y/%m/%d %H:%M:%S'` " MASTER_BASEDIR = $MASTER_BASEDIR"            >> $PGSQL_LOG
echo `date +'%Y/%m/%d %H:%M:%S'` " RECOVERY_HOST = $RECOVERY_HOST"              >> $PGSQL_LOG
echo `date +'%Y/%m/%d %H:%M:%S'` " RECOVERY_BASEDIR = $RECOVERY_BASEDIR"        >> $PGSQL_LOG

# Force to flush current value of sequences to xlog
$PSQL -t -c 'SELECT datname FROM pg_database WHERE NOT datistemplate AND datallowconn' template1|
while read i
do
  if [ "$i" != "" ];then
    $PSQL -c "SELECT setval(oid, nextval(oid)) FROM pg_class WHERE relkind = 'S'" $i
  fi
done

# 最新のアーカイブログを保存
$PSQL -c "SELECT pgpool_switch_xlog('$MASTER_BASEDIR/../archives')" template1

# 最新のアーカイブログをリカバリ先に転送
rsync -az --delete -e ssh $MASTER_BASEDIR/../archives/ $RECOVERY_HOST:$RECOVERY_BASEDIR/../archives/

rmdir $LOCKDIR

echo `date +'%Y/%m/%d %H:%M:%S'` "DONE - recovery_2nd_stage.sh"                >> $PGSQL_LOG
