#!/bin/sh

LOG="./patch.log"
function cmd(){
    echo $* >> $LOG 2>&1
    $* >> $LOG 2>&1
}

VERSION=$(cat /opt/passlogic/VERSION | grep \
	-e ent-2.3.0 \
	-e ent-2.3.1 \
	-e ent-2.3.2 \
	-e ent-2.4.0 \
	| tee -a $LOG)
if [ -z "$VERSION" ]; then
	echo "invalid PassLogic Version." | tee -a $LOG
	exit 1;
fi

cat /etc/redhat-release | grep "release 7" >> $LOG 2>&1
if [ $? -eq 1 ]; then
	echo "invalid OS." | tee -a $LOG

	exit 1;
fi

agreed=
while [ -z "$agreed" ]; do
	echo
	echo "Start updating PassLogic version ${VERSION}_t583 [yes or no] "
	read reply leftover
	case $reply in
		[yY] | [yY][eE][sS])
			agreed=1
			;;
		[nN] | [nN][oO])
			exit 1
			;;
	esac
done

rm -f /opt/passlogic/tmp/*.cache

cmd cp ./file/session_handler.inc.php /opt/passlogic/apps/lib/
cmd cp ./file/config.inc.php /opt/passlogic/apps/user/
cmd cp ./file/recovery_tar.sh /opt/passlogic/apps/tools/
cmd chown apache:apache /opt/passlogic/apps/tools/recovery_tar.sh
cmd cp ./file/recovery_???_stage.sh /opt/passlogic/pgsql/data/
cmd chown passlogic:passlogic /opt/passlogic/pgsql/data/recovery_???_stage.sh

echo "${VERSION}_t583" | tee -a $LOG > /opt/passlogic/VERSION
echo "complete." | tee -a $LOG

